@import '@core/scss/base/bootstrap-extended/_variables';

:global {
  .sketch-picker {
    position: absolute;
    bottom: calc(100% + 2px);
    left: 0;
  }
}

.label {
  height: 38px;
  border-radius: 5px;
  width: 100%;
  display: flex;
  align-items: center;
  position: relative;
  cursor: pointer;
}

.input {
  flex-shrink: 0;
  padding: 0;
  border: none;
  height: 34px;
  width: 34px;
  position: absolute;
  border-radius: 5px;
  top: 2px;
  right: 2px;
  -webkit-appearance: none;
  &::-webkit-color-swatch-wrapper {
    padding: 0;
  }
  &::-webkit-color-swatch {
    border: none;
  }
}

.value {
  border: 1px solid $custom-control-border-color;
  border-radius: 5px;
  height: 100%;
  width: 100%;
  color: $secondary;
  padding: 0 7px;
  display: flex;
  align-items: center;
  padding: 6px 40px 6px 14px;
}

.picker {
  left: initial;
  right: 0;
}
